Bug 1259074 - Bluetooth keyboard fails to connect with "Bluetooth: SMP security requested but not available" [NEEDINFO]
Bluetooth keyboard fails to connect with "Bluetooth: SMP security requested b...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 18:31 EDT by Nicolas Laplante
Modified: 2015-11-23 12:14 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:14:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Nicolas Laplante 2015-09-01 18:31:54 EDT
Description of problem:
Connection of a Microsoft Designer Bluetooth keyboard is lost after a few seconds

Version-Release number of selected component (if applicable):
Linux 4.1.6-200.fc22.x86_64

How reproducible:
Always

Steps to Reproduce:
Press the Bluetooth button on keyboard
Click on the keyboard in Gnome's Bluetooth applet
Enter challenge passphrase on keyboard and hit return
Keyboard shows as connected in applet
Try to use keyboard. 

Actual results:
Keyboard doesn't respond.

Expected results:
Keyboard is usable.

Additional info:
dmesg output shows multiple messages:
Bluetooth: SMP security requested but not available

bluetoothctl output:
info E7:CB:BE:CC:C1:D5
Name: Designer Keyboard
Alias: Designer Keyboard
Appearance: 0x03c1
Icon: input-keyboard
Paired: yes
Trusted: yes
Blocked: no
Connected: no
LegacyPairing: no
UUID: Human Interface Device (00001812-0000-1000-8000-00805f9b34fb)
Comment 1 Chuck Ebbert 2015-09-03 14:47:28 EDT
Did the keyboard work on earlier 4.1.x kernels (4.1.0 - 4.1.5)?

That message was added in 4.1.6 via:

From 25ba265390c09b0a2b2f3fd9ba82e37248b7a371 Mon Sep 17 00:00:00 2001
From: Johan Hedberg <johan.hedberg@intel.com>
Date: Mon, 20 Jul 2015 20:31:25 +0300
Subject: Bluetooth: Fix NULL pointer dereference in smp_conn_security
Comment 2 Elias Probst 2015-09-06 04:48:13 EDT
I assumed this was fixed in your referenced commit, but I can still see it on:
- bluez-5.34.0
- Kernel 4.2-rc6

After connecting my "Microsoft Designer Mouse", it is instantly disconnected again and "journalctl -n10 -f -k" shows:
Sep 06 10:44:50 moria kernel: Bluetooth: SMP security requested but not available
Sep 06 10:44:53 moria kernel: Bluetooth: HCI request failed to create LE connection: status 0x0c
Sep 06 10:44:53 moria kernel: Bluetooth: SMP security requested but not available
Sep 06 10:44:53 moria kernel: Bluetooth: SMP security requested but not available
Sep 06 10:44:57 moria kernel: Bluetooth: SMP security requested but not available

… each time a new line like this is is logged, another connect/disconnect cycle happens (according to "bluetoothtl"'s output).
Comment 3 Justin M. Forbes 2015-10-20 15:25:45 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 4 Fedora Kernel Team 2015-11-23 12:14:17 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.